## org.gnu.gtk
Class ActionEntry

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gtk.ActionEntry

public class ActionEntry
extends MemStruct

Constructor Summary
`ActionEntry(java.lang.String name, java.lang.String stockId, java.lang.String label)`
`ActionEntry(java.lang.String name, java.lang.String stockId, java.lang.String label, java.lang.String accel, java.lang.String tooltip, ActionEntryListener listener)`

Method Summary
`void` `addListener(ActionEntryListener listener)`
`void` `removeListener(ActionEntryListener listener)`

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionEntry

    public ActionEntry(java.lang.String name,
                       java.lang.String stockId,
                       java.lang.String label)

### ActionEntry

    public ActionEntry(java.lang.String name,
                       java.lang.String stockId,
                       java.lang.String label,
                       java.lang.String accel,
                       java.lang.String tooltip,
                       ActionEntryListener listener)

Method Detail

### addListener

    public void addListener(ActionEntryListener listener)

### removeListener

    public void removeListener(ActionEntryListener listener)